<?php
session_start();
include 'koneksi.php';

// Ambil data yang dikirim dari form pendaftaran pasien
$nik = $_POST['nik'];
$nama_pasien = $_POST['nama_pasien'];
$username = $_POST['username'];
$password = $_POST['password'];

// Validasi jika NIK tidak berisi 16 karakter
if (strlen($nik) != 16) {
    $alert_message = "NIK harus terdiri dari 16 digit!";
    header("location: daftar.php?alert=invalid_nik&message=" . urlencode($alert_message));
    exit();
}

// Cek apakah NIK sudah ada di database
$check_nik_query = "SELECT * FROM tbl_pasien WHERE nik = '$nik'";
$result = mysqli_query($koneksi, $check_nik_query);

if (mysqli_num_rows($result) > 0) {
    // Jika NIK sudah ada, tampilkan pesan kesalahan
    $alert_message = "NIK sudah digunakan, silakan gunakan NIK lain!";
    header("location: daftar.php?alert=nik_terdaftar&message=" . urlencode($alert_message));
} else {
    // Jika NIK belum ada, lakukan pendaftaran
    $insert_query = "INSERT INTO tbl_pasien (nik, nama_pasien, username, password) VALUES ('$nik','$nama_pasien', '$username', '$password')";
    
    if (mysqli_query($koneksi, $insert_query)) {
        $alert_message = "Selamat, akun Anda telah terdaftar!";
        header("location: login.php?alert=daftar_sukses&message=" . urlencode($alert_message));
    } else {
        header("location: daftar.php?alert=daftar_gagal");
    }
}

?>
